ChangeSet 1.1221, 2003/06/18 16:34:55-07:00, baldrick@wanadoo.fr

[PATCH] USB speedtouch: kfree_skb -> dev_kfree_skb

Always use dev_kfree_skb.


 drivers/usb/speedtouch.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)


diff -Nru a/drivers/usb/speedtouch.c b/drivers/usb/speedtouch.c
--- a/drivers/usb/speedtouch.c	Wed Jun 18 17:36:01 2003
+++ b/drivers/usb/speedtouch.c	Wed Jun 18 17:36:01 2003
@@ -760,7 +760,7 @@
 		if (vcc->pop)
 			vcc->pop (vcc, skb);
 		else
-			kfree_skb (skb);
+			dev_kfree_skb (skb);
 		instance->current_skb = NULL;
 
 		if (vcc->stats)
@@ -783,7 +783,7 @@
 			if (vcc->pop)
 				vcc->pop (vcc, skb);
 			else
-				kfree_skb (skb);
+				dev_kfree_skb (skb);
 		}
 	spin_unlock_irq (&instance->sndqueue.lock);
 
@@ -794,7 +794,7 @@
 		if (vcc->pop)
 			vcc->pop (vcc, skb);
 		else
-			kfree_skb (skb);
+			dev_kfree_skb (skb);
 	}
 	tasklet_enable (&instance->send_tasklet);
 	dbg ("udsl_cancel_send done");
@@ -994,7 +994,7 @@
 	tasklet_enable (&instance->receive_tasklet);
 
 	if (vcc_data->skb)
-		kfree_skb (vcc_data->skb);
+		dev_kfree_skb (vcc_data->skb);
 	vcc_data->skb = NULL;
 
 	kfree (vcc_data);
@@ -1225,7 +1225,7 @@
 		usb_free_urb (rcv->urb);
 
 		if (rcv->skb)
-			kfree_skb (rcv->skb);
+			dev_kfree_skb (rcv->skb);
 	}
 
 	kfree (instance);
@@ -1295,7 +1295,7 @@
 		struct udsl_receiver *rcv = &(instance->receivers [i]);
 
 		usb_free_urb (rcv->urb);
-		kfree_skb (rcv->skb);
+		dev_kfree_skb (rcv->skb);
 	}
 
 	/* send finalize */
